Update sign
AuthorizationBearer <token>
Preferred API authentication. Use a JWT with the api audience.
In: header
Path Parameters
instance_id*string
Format
uuidbot_id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
position*
A block position in a specific dimension. Coordinates are Minecraft block integers, not chunk-relative.
frontText?boolean
lines*array<string>
Exactly four plain-text lines. Empty strings clear lines.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/instances/497f6eca-6276-4993-bfeb-53cbbbba6f08/bots/497f6eca-6276-4993-bfeb-53cbbbba6f08/sign:update" \ -H "Content-Type: application/json" \ -d '{ "position": { "x": 0, "y": 0, "z": 0 }, "lines": [ "string" ] }'{ "result": { "actionId": "4a2794ff-94cb-4bac-8d36-d5fb36c563a0", "status": "BOT_ACTION_STATUS_UNSPECIFIED", "error": "string" }}How is this page?
